<?php
namespace Deployer;

require 'recipe/symfony4.php';

// Project name
set('application', 'keylighter.kadet.net');

// Project repository
set('repository', 'git@git.kadet.net:kadet.net/keylighter.git');

// [Optional] Allocate tty for git clone. Default value is false.
set('git_tty', true); 

// Shared files/dirs between deploys 
add('shared_files', []);
add('shared_dirs', ['var/keylighter']);

// Writable dirs by web server 
add('writable_dirs', []);

// Hosts
host('kadet.net')
    ->stage('production')
    ->set('deploy_path', '~/www/{{application}}');
    
// Tasks
task('build', function () {
    run('cd {{release_path}} && make');
});

// [Optional] if deploy fails automatically unlock.
after('deploy:failed', 'deploy:unlock');

// Migrate database before symlink new release.
//before('deploy:symlink', 'database:migrate');

